<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterPackagesTable extends Migration {

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up() {

        Schema::table('packages', function (Blueprint $table) {
            $table->text('tagline2')->nullable();
            $table->text('shortDescription')->nullable();
            $table->text('detail')->nullable();
            $table->text('reviews')->nullable();
            $table->string('notCoveredTitle')->nullable();
            $table->text('notCoveredText')->nullable();
            $table->text('fileDownloadText')->default("For Full details please download our service plan agreement.");
            $table->string('file')->nullable();
            $table->string('image')->nullable();
            $table->string('faqTitle')->nullable();
            $table->text('faqText')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down() {
        //
        Schema::table('packages', function (Blueprint $table) {
            $table->dropColumn(['tagline2', 'shortDescription', 'detail', 'reviews', 'notCoveredTitle', 'notCoveredText', 'fileDownloadText', 'file', 'image', 'faqTitle', 'faqText']);
        });
    }

}
